Summary:	A high performance HTTP 1.1 webserver
Name:		yaws
Version:	1.77
Release:	%mkrel 3
License:	BSD
Group:		System/Servers
Url:		http://yaws.hyber.org/
Source0:	http://yaws.hyber.org/download/%{name}-%{version}.tar.bz2
Source1:	%{name}.conf
Patch0:		%{name}-1.77-makefile.patch
BuildRequires:	erlang-compiler
BuildRequires:	erlang-devel
BuildRequires:	erlang-mnesia
BuildRequires:	erlang-xmerl
BuildRequires:	erlang-dialyzer
BuildRequires:	pam-devel
Requires:	erlang-mnesia
Requires:	erlang-xmerl
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Yaws is a HTTP high perfomance 1.1 webserver particularly 
well suited for dynamic-content webapplications. Two separate 
modes of operations are supported.

* Standalone mode where Yaws runs as a regular webserver daemon. 
  This is the default mode.
* Embedded mode where Yaws runs as an embedded webserver in another 
  erlang application

%prep
%setup -q %{name}-%{version}
%patch0 -p1

%build
%configure2_5x \
	--with-defaultcharset=UTF-8

%make BINDIR=%{_bindir} LIBDIR=%{_libdir}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std BINDIR=%{_bindir} LIBDIR=%{_libdir}

mkdir -p %{buildroot}%{_initrddir}
mv -f %{buildroot}%{_sysconfdir}/init.d/%{name} %{buildroot}%{_initrddir}/%{name}

# (tpg) remove autogenerated config
rm -rf %{buildroot}%{_sysconfdir}/%{name}.conf

# (tpg) install custom config
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}.conf

%post
%{update_menus}
%if %mdkversion >= 200700
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion >= 200700
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog doc/%{name}.pdf
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/%{name}-*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_initrddir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man5/%{name}*.5.*
%{_var}/%{name}
%exclude %{_docdir}/%{name}-%{version}


%changelog
* Fri Aug 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.77-3mdv2009.0
+ Revision: 277145
- rebuild
- Patch0: fix install on x86_64
- add missing buildrequires
- fix rpm group and license
- import yaws


